rem                                  (C) DialogueScience, Inc., Moscow, 1996
rem **************************************************************************
rem * The following  is a sample batch file to run ADinf jointly with Doctor *
rem * Web and V-Hunter by swapping diskinfo changes (see command switch /@). *
rem * Such a joint operation  greatly  speeds  up scanning  sessions,  while *
rem * retaining the high checking reliability.                               *
rem *                                                                        *
rem * WARNING 1. For reliable checking of disks, the list of file extensions *
rem * and ADinf operation parameters must be properly specified such that no *
rem * important changes in disk information escape unnoticed.                *
rem *                                                                        *
rem * WARNING 2. When antiviruses  (ADinf  or  scanners)  detect  viruses or *
rem * suspect possible virus infection,  it is not sufficient to analyze and *
rem * cure  only  the infected files and system areas.  It is always safe to *
rem * cold start  the system  from  a virus-free  bootable  diskette,  first *
rem * thoroughly test  all drives  and  then restore the infected files from *
rem * the  original  distribution  disks.   When  such   a  possibility  for *
rem * restoration is not available, you may use the curing procedure.        *
rem *                                                                        *
rem * WARNING 3.  The errorlevel verification function in the batch file can *
rem * be specified in such a manner  that after the disk scanning mission is *
rem * completed,  curing mode  is automatically called and then ADinf is re- *
rem * started for final checking after the curing session is completed.  But *
rem * such an automatic curing mode  is HAZARDOUS  and requires  an in-depth *
rem * study of the computer configuration settings and the utilization mode. *
rem * Such a study must be made by a knowledgeable computer analyst familiar *
rem * with the specifics of the computer configuration and users' needs.     *
rem **************************************************************************
@echo off

ADINF * /@c:\addtest.lst /a
if errorlevel 50 goto end
if errorlevel 40 goto vir_in_mem
if errorlevel 30 goto end

if not exist c:\addtest.lst goto end

DRWEB /@+c:\addtest.lst /cl/ha1/rv/hi/upn/ns
if errorlevel 2 goto new_vir
if errorlevel 1 goto vir

V-HUNTER /@c:\addtest.lst /g/nb
if errorlevel 3 goto end
if errorlevel 2 goto end
if errorlevel 1 goto vir

:no_vir
echo No viruses found.
goto end

:vir_in_mem
pause WARNING! There is an active virus dodging detection by ADinf.
goto end

:vir
pause ATTENTION! There is a known virus in the machine.
goto end

:new_vir
pause ATTENTION! There is an unknown virus in the machine.
goto end

:end
